# Class RemoveMailboxDataMessage

#### Hierarchy

- unknown
  - RemoveMailboxDataMessage

- Defined in src/protobuf/pb_pb.d.ts:871
- Defined in src/protobuf/pb_pb.d.ts:885

#####
Index

### Constructors

constructor

### Methods

clearProtectedStorageEntry
getProtectedStorageEntry
hasProtectedStorageEntry
serializeBinary
setProtectedStorageEntry
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RemoveMailboxDataMessage(): RemoveMailboxDataMessage

- #### Returns RemoveMailboxDataMessage

  Inherited from jspb.Message.constructor

## Methods

### clearProtectedStorageEntry

- clearProtectedStorageEntry(): RemoveMailboxDataMessage

- #### Returns RemoveMailboxDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:875

### getProtectedStorageEntry

- getProtectedStorageEntry(): undefined | ProtectedMailboxStorageEntry

- #### Returns undefined | ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:872

### hasProtectedStorageEntry

- hasProtectedStorageEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:874

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:877

### setProtectedStorageEntry

- setProtectedStorageEntry(value?: ProtectedMailboxStorageEntry): RemoveMailboxDataMessage

- #### Parameters

  - ##### `Optional` value: ProtectedMailboxStorageEntry

  #### Returns RemoveMailboxDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:873

### toObject

- toObject(includeInstance?: boolean): RemoveMailboxDataMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RemoveMailboxDataMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:878

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveMailboxDataMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveMailboxDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:881

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveMailboxDataMessage, reader: BinaryReader): RemoveMailboxDataMessage

- #### Parameters

  - ##### message: RemoveMailboxDataMessage

  - ##### reader: BinaryReader

  #### Returns RemoveMailboxDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:882

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveMailboxDataMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RemoveMailboxDataMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:880

### `Static` toObject

- toObject(includeInstance: boolean, msg: RemoveMailboxDataMessage): RemoveMailboxDataMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveMailboxDataMessage

  #### Returns RemoveMailboxDataMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:879

Generated using TypeDoc